Name:           davmail
Version:        6.0.1
Release:        1%{?dist}
Summary:        DavMail Server
BuildArch:      noarch

License:        GPL
URL:            https://davmail.sourceforge.net/
Source0:        davmail-6.0.1.tar.gz

Requires:       bash,java

%description
DavMail as RPM Build

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -d $RPM_BUILD_ROOT/opt/davmail
install -m 0755 davmail $RPM_BUILD_ROOT/opt/davmail/davmail
install -m 0644 davmail.jar $RPM_BUILD_ROOT/opt/davmail/davmail.jar
install -m 0644 davmail.properties $RPM_BUILD_ROOT/opt/davmail/davmail.properties
install -m 0755 -d $RPM_BUILD_ROOT/opt/davmail/lib
install -m 0755 -d $RPM_BUILD_ROOT/usr/lib/systemd/system/
install -m 0644 davmail.service $RPM_BUILD_ROOT/usr/lib/systemd/system/davmail.service
install -m 0644 lib/activation-1.1.1.jar $RPM_BUILD_ROOT/opt/davmail/lib/activation-1.1.1.jar
install -m 0644 lib/commons-codec-1.11.jar $RPM_BUILD_ROOT/opt/davmail/lib/commons-codec-1.11.jar
install -m 0644 lib/commons-collections-3.1.jar $RPM_BUILD_ROOT/opt/davmail/lib/commons-collections-3.1.jar
install -m 0644 lib/commons-logging-1.0.4.jar $RPM_BUILD_ROOT/opt/davmail/lib/commons-logging-1.0.4.jar
install -m 0644 lib/htmlcleaner-2.21.jar $RPM_BUILD_ROOT/opt/davmail/lib/htmlcleaner-2.21.jar
install -m 0644 lib/httpclient-4.5.6.jar $RPM_BUILD_ROOT/opt/davmail/lib/httpclient-4.5.6.jar
install -m 0644 lib/httpcore-4.4.10.jar $RPM_BUILD_ROOT/opt/davmail/lib/httpcore-4.4.10.jar
install -m 0644 lib/jackrabbit-webdav-2.14.6.jar $RPM_BUILD_ROOT/opt/davmail/lib/jackrabbit-webdav-2.14.6.jar
install -m 0644 lib/jacocoant-0.8.5.jar $RPM_BUILD_ROOT/opt/davmail/lib/jacocoant-0.8.5.jar
install -m 0644 lib/javax.mail-1.5.6.jar $RPM_BUILD_ROOT/opt/davmail/lib/javax.mail-1.5.6.jar
install -m 0644 lib/jcharset-2.0.jar $RPM_BUILD_ROOT/opt/davmail/lib/jcharset-2.0.jar
install -m 0644 lib/jcifs-1.3.14.jar $RPM_BUILD_ROOT/opt/davmail/lib/jcifs-1.3.14.jar
install -m 0644 lib/jdom-1.0.jar $RPM_BUILD_ROOT/opt/davmail/lib/jdom-1.0.jar
install -m 0644 lib/jettison-1.4.0.jar $RPM_BUILD_ROOT/opt/davmail/lib/jettison-1.4.0.jar
install -m 0644 lib/log4j-1.2.16.jar $RPM_BUILD_ROOT/opt/davmail/lib/log4j-1.2.16.jar
install -m 0644 lib/slf4j-api-1.7.25.jar $RPM_BUILD_ROOT/opt/davmail/lib/slf4j-api-1.7.25.jar
install -m 0644 lib/slf4j-log4j12-1.7.25.jar $RPM_BUILD_ROOT/opt/davmail/lib/slf4j-log4j12-1.7.25.jar
install -m 0644 lib/sonarqube-ant-task-2.7.0.1612.jar $RPM_BUILD_ROOT/opt/davmail/lib/sonarqube-ant-task-2.7.0.1612.jar
install -m 0644 lib/stax2-api-3.1.1.jar $RPM_BUILD_ROOT/opt/davmail/lib/stax2-api-3.1.1.jar
install -m 0644 lib/stax-api-1.0.1.jar $RPM_BUILD_ROOT/opt/davmail/lib/stax-api-1.0.1.jar
install -m 0644 lib/woodstox-core-6.2.0.jar $RPM_BUILD_ROOT/opt/davmail/lib/woodstox-core-6.2.0.jar

%post
/usr/bin/systemctl daemon-reload

%clean
rm -rf $RPM_BUILD_ROOT

%files
/opt/davmail
/usr/lib/systemd/system/davmail.service

